# pip search

Contents

- pip search
  - Usage
  - Description
  - Options
  - Examples

## Usage

    pip search [options] <query>

## Description

Search for PyPI packages whose name or summary contains <query>.

## Options

`--index``<url>`

  Base URL of Python Package Index (default https://pypi.python.org/pypi)

## Examples

1. Search for "peppercorn"

>     $ pip search peppercorn
>     pepperedform    - Helpers for using peppercorn with formprocess.
>     peppercorn      - A library for converting a token stream into [...]